Retrieve all checks
curl --request GET \
--url https://test.onlinecheckwriter.com/api/v3/checks \
--header 'Authorization: Bearer <token>'import requests
url = "https://test.onlinecheckwriter.com/api/v3/checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test.onlinecheckwriter.com/api/v3/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"meta": {
"total": 21325,
"currentPage": 1,
"perPage": 10
},
"checks": [
{
"checkId": "kWx8eP3l60GK2Xz",
"serialNumber": "2",
"amount": 12,
"amountInWord": "twelve",
"date": "2024-11-18",
"status": 0,
"memo": null,
"accountNumber": null,
"invoiceNumber": null,
"referenceId": null,
"bankAccount": {
"bankAccountId": "6gYVewBOP7Gdx7b",
"name": "test"
},
"payee": {
"payeeId": "1ZoVelyDaQj8pwb",
"name": "test new"
},
"checkStatus": {
"status": 0,
"description": "New"
},
"checkStatements": [
{
"status": "created",
"date": "2024-11-18",
"time": "04:15 pm"
}
]
},
{
"checkId": "zRNXG0J7PljLxyB",
"serialNumber": "345354353855",
"amount": 12,
"amountInWord": "twelve",
"date": "2024-11-16",
"status": 0,
"memo": null,
"accountNumber": null,
"invoiceNumber": null,
"referenceId": null,
"bankAccount": {
"bankAccountId": "xZqXGK2y0b4RzVv",
"name": "werwer"
},
"payee": {
"payeeId": "pzo54xE7BaGaXmL",
"name": "Test Name 2"
},
"checkStatus": {
"status": 0,
"description": "New"
},
"checkStatements": [
{
"status": "created",
"date": "2024-11-16",
"time": "11:19 am"
}
]
}
]
}
}{
"message": "Unauthenticated."
}Check
Get Checks
List all check records with optional filters like status, term, and reference ID.
GET
/
checks
Retrieve all checks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of records to retrieve in the response. Defaults to 10.
For navigating through pages. Defaults to the first page.
Filter records using any keywords.
Filter records by check status. Allowed values: new, void, mailed, refunded, emailed, eprinted, printed.
Filter records by a unique reference ID.
⌘I
